import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { RouterModule } from '@angular/router';

import { OddsCrawlerFrontendCommonModule } from '@odds-crawler/common';

import { DefaultLayoutComponent } from './component/default-layout.component';
import { MainLayoutComponent } from './component/main-layout.component';

export const COMPONENTS = [DefaultLayoutComponent, MainLayoutComponent];

@NgModule({
  declarations: [...COMPONENTS],
  imports: [CommonModule, RouterModule, OddsCrawlerFrontendCommonModule],
  exports: [...COMPONENTS]
})
export class OddsCrawlerFrontendLayoutModule {}
